# Kommunicate Security Policy and Procedures

This document outlines security procedures and general policies for the Kommunicate.

  * [Reporting a Vulnerability](#reporting-a-vulnerability)
  * [Disclosure Policy](#disclosure-policy)

## Reporting a Vulnerability

The Kommunicate team takes all security vulnerabilities seriously. Thank you for improving the security of our product. We appreciate your efforts and responsible disclosure and will make every effort to acknowledge your contributions.

Report security vulnerabilities by emailing to the Kommunicate security team at: `security@kommunicate.io`

Please include as much of the information listed below as you can to help us better understand and resolve the issue:

    * The type of Issue.
    * Any special configuration required to reproduce the issue.
    * Step-by-step instructions to reproduce the issue.
    * Proof-of-concept or exploit code or screen-shot (if possible).
    * Impact of the issue, including how an attacker might exploit the issue.

The lead maintainer will acknowledge your email within 48 hours, and will send a more detailed response within next 48 hours indicating the next steps in handling your report. After the initial reply to your report, the security team will endeavor to keep you informed of the progress towards a fix and full announcement, and may ask for additional information or guidance (if required).

## Disclosure Policy

When the security team receives a security bug report, they will assign it to a primary handler. This person will coordinate the fix and release process, involving the following steps:

    * Confirm the problem and determine the affected versions.
    * Audit code to find any potential similar problems.
    * Prepare fixes for all releases still under maintenance.
    * Release a patch as soon as possible depending on complexity of the reported issue.
